Name:           fluxbox
Version:        0.9.15.1
Release:        2%{?dist}

Summary:	Window Manager based on Blackbox

Group:          User Interface/Desktops
License:        MIT
URL:            http://fluxbox.sourceforge.net

Source0:        http://download.sourceforge.net/fluxbox/fluxbox-0.9.15.1.tar.bz2
Source1:        Xclients.%{name}
Source2:        FluxBox
Source3:        fluxbox.desktop
Source4:        fluxbox-xdg-menu.py

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  imlib2-devel
BuildRequires:	xorg-x11-devel
BuildRequires:	zlib-devel

Requires:       pyxdg
Requires:       artwiz-aleczapka-fonts

%description

Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
%setup -q

%build
%configure      --enable-xft \
                --enable-gnome \
                --enable-kde \
                --enable-xinerama \
		--enable-imlib2 \
		--enable-nls

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# make gdm users happy
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/switchdesk/
install -m 0755 -p %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/apps/switchdesk/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/Sessions
install -m 0755 -p %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/Sessions/

# this is for Fedora Core
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions
install -m 0755 -p %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions/

install -m 0755 -p %SOURCE4 $RPM_BUILD_ROOT%{_bindir}/fluxbox-xdg-menu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/apps/switchdesk/Xclients.fluxbox

%{_sysconfdir}/X11/gdm/Sessions/FluxBox
%{_sysconfdir}/X11/dm/Sessions/fluxbox.desktop

%changelog
* Sat Oct 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.15.1-2
- fix #187740 and #209347

* Wed Apr 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.15.1-1
- version upgrade

* Thu Nov 10 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.14-2
- enable nls and imlib2
- require artwizaleczepka instead of providing it...
- add menu script from Rudolf Kastel

* Thu Sep 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.14-1
- version upgrade

* Tue Sep 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.13-4
- remove X11R6 path stuff #167601

* Thu Jun 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.13-3.fc4
- fix #160614

* Wed Jun 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.13-2.fc4
- fix generate menu bug and revisit switches

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- upgrade to 0.9.13

* Wed Apr 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.9-4
- Fix build for GCC 4.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Nov 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.9-2
- Fix build for GCC 3.4.

* Mon Apr 26 2004 Arnaud Ablard
- rebuilt against Fluxbox-0.9.9

* Thu Jan 16 2004 Arnaud Ablard
- now using artwiz-aleczapka as the artwiz-fonts

* Thu Jan 16 2004 Arnaud Ablard
- fixed a bug with the artwiz fonts

* Thu Jan 15 2004 Arnaud Ablard
- rebuilt against Fluxbox-0.9.8

* Sun Jan 11 2004 Arnaud Ablard
- Added Artwiz nice fonts

* Sat Jan 10 2004 Arnaud Ablard
- rebuild against Fluxbox-0.9.7

* Sat Jan 11 2003 Che
- rebuild without debug

* Mon Dec 09 2002 Che
- new version 0.1.14

* Tue Nov 19 2002 Che
- new version 0.1.13

* Tue Oct 30 2002 Che
- fixed gdm entry

* Tue Oct 23 2002 Che
- added a gdm entry :)

* Tue Oct 22 2002 Che
- initial rpm release

